Subject: Re: [PATCH net-next] net: ipv6: Use passed in table for nexthop lookups

From: David Ahern <[email-masked]>
Date: Wed, 13 Apr 2016 22:07:28 -0600

On 4/13/16 7:41 PM, David Miller wrote:
> This is semantically different from the referenced ipv4 change.
>
> Lack of a matching table for cfg->fc_table does not result in a
> failure on the ipv4 side.  It falls back in that case.
>
> But here in this ipv6 patch, you do fail if fib6_get_table() gives
> NULL.

Unintentional. I meant for this to behave exactly like the ipv4 change.

>
> One thing that drives me absolutely crazy is all of the subtle
> semantic differences between our ipv4 and ipv6 stack, so I refuse to
> knowingly add new such cases.

I feel that pain on a daily basis.

>
> Therefore, please make the ipv6 behavior match exactly what ipv4
> does.

Will remove the goto out on the table lookup fail and have it fallback 
to current logic. Thanks for catching that difference.